<?php
	$uri = 'configuraciones.php';	
	include_once($uri);
	 
	//Tipo De Consulta (1,2,3....)
	$case = $_POST['case'];
	//Variable ID...
	$id = $_POST['id'];
	
	switch($case)
	{
		case 1:	
			$parametros = array(
				"razon_social"=>$_POST['razon_social'],
				"direccion"=>$_POST['direccion'],
				"telefono"=>$_POST['telefono'],
				"nombre_completo"=>$_POST['nombre_completo'],
				"nombre_usuario"=>$_POST['nombre_usuario'],
				"password"=>$_POST['password']				
			);	
			break;			
		case 2:
			$parametros = array(
				"trabaja_sucursal"=>$_POST['trabaja_sucursal'],
				"trabaja_distrito"=>$_POST['trabaja_distrito'],
				"trabaja_zona"=>$_POST['trabaja_zona'],
				
				"abm_sucursal"=>$_POST['abm_sucursal'],
				"abm_distrito"=>$_POST['abm_distrito'],
				"abm_zona"=>$_POST['abm_zona'],
				
				"tipo_venta"=>$_POST['tipo_venta'],
				
				"unidades_caja"=>$_POST['unidades_caja'],
				
				"subunidades"=>$_POST['subunidades']
				);
				
			break;
		case 3:
			$parametros = array(
				"duracion_sesion"=>$_POST['duracion_sesion'],
				"dias_backup"=>$_POST['dias_backup']
				);
		case 4:
			$parametros = array(
				"operadores_loc"=>$_POST['operadores_loc'],
				"operadores_tiempo"=>$_POST['operadores_tiempo']
				);
	}
	
	
		$configuraciones = new configuraciones('configuraciones');		
		
		switch($case){
			case 1: //nuevo_configuracion_inicial				
				echo $configuraciones->nuevo_configuracion_inicial($parametros);				
				break;
				
			case 2: //Editar
				echo $configuraciones->nuevo_configuracion_general($parametros);
				break;
				
			case 3: //Eliminar
				echo $configuraciones->nuevo_configuracion_backup($parametros);
				break;
			
			case 4: //Tabla
				echo $configuraciones->nuevo_configuracion_notif($parametros);
				break;
		
	}//Cierro el IF
?>